PDA

Visualizza la versione completa : Mi hanno upgradato il Fedora a core 5 e non funziona niente!


Alejandro
30-08-2006, 13:39
Salve a tutti,
la mia società sta per denunciare un azienda che fornisce server dedicati.
Abbiamo richiesto un semplice (è tutto automatico da cd) upgrade del nostro Fedora core 3 a fedora core 5 ed hanno incasinato il sistema.
La cosa più divertente è che dicono che dobbiamo sistemarlo noi in quanto amministratori di sistema.

2 problemi:

1 - Il Kolab (per la posta lo conoscete) non trova più delle librerie, ecco l'errore:

+----------------------------------------------------------------------
| /kolab/libexec/openldap/slapd: error while loading shared libraries:
| libbind.so.3: cannot open shared object file: No such file or
| directory
| /kolab/libexec/openldap/slurpd: error while loading shared libraries:
| libbind.so.3: cannot open shared object file: No such file or
| directory
+----------------------------------------------------------------------



2 - Il Mysql 5 non ha le tabelle correttamente aggiornate

Come fare? Mi hanno detto con lo YUM ma non so dove mettere le mani sinceramente

francofait
30-08-2006, 13:56
Originariamente inviato da Alejandro
Salve a tutti,
la mia società sta per denunciare un azienda che fornisce server dedicati.
Abbiamo richiesto un semplice (è tutto automatico da cd) upgrade del nostro Fedora core 3 a fedora core 5 ed hanno incasinato il sistema.
La cosa più divertente è che dicono che dobbiamo sistemarlo noi in quanto amministratori di sistema.

2 problemi:

1 - Il Kolab (per la posta lo conoscete) non trova più delle librerie, ecco l'errore:

+----------------------------------------------------------------------
| /kolab/libexec/openldap/slapd: error while loading shared libraries:
| libbind.so.3: cannot open shared object file: No such file or
| directory
| /kolab/libexec/openldap/slurpd: error while loading shared libraries:
| libbind.so.3: cannot open shared object file: No such file or
| directory
+----------------------------------------------------------------------



2 - Il Mysql 5 non ha le tabelle correttamente aggiornate

Come fare? Mi hanno detto con lo YUM ma non so dove mettere le mani sinceramente

Ritenere semplice ed automatico l'upgrade da fedora 3 a fedora 4 o 5 è assai inprudente , fra le due versioni
la compatibilità è praticamente scarsa se non nulla , con una vera e propria miriade di salti generazionali sia
dell' intero ambiente di sviluppo che di conseguanza di tutti i pacchetti kernel incluso
Chi ha eseguioto l'upgrade doveva anche saperlo e rendere il potenziale cliente consapevole di tutti i possibili problemi derivanti ,senza contare che se se ne assume l'incarico , volendo agire con onestà e serietà , visto che non lo fa di sicuro gratuitamente dovrebbe avere anche il buon senso di offrire poi il massimo supporto almeno fino ha migrazione completa e funzionale.
Che il compito di sistemarlo in funzione delle nuove esigenze rimanga di esclusiva competenza e responsabilità dell' amministratore di rete è vero . discutibile assai che debba farlo senza poter contare sul supporto tecnico di chi ha eseguito l'upgrade.




:ciauz: :ciauz:

Alejandro
30-08-2006, 14:27
Grazie Franco,
esattamente quello che pensiamo noi.
Un conto è che magari dei nostri software o il nostro sito non giri su Core 5 non essendo compilato per quello, li sarebbe colpa nostra diciamo. Ma tutti i nostri applicativi ed il sito sono perfettamente funzionanti su Core 5.
Altra cosa è che si faccia un upgrade del fedora in un modo così approssimativo e non si veda che ad esempio il mysql non abbia fatto l'upgrade correttamente.
I nostri legali stanno già fregandosi le mani e sinceramente mi sembra corretto che paghino per il danno. Siamo ancora con il sistema incasinato dopo più di 48h e su un dedicato mi sembra assurdo.

Cosa possiamo fare intanto? Vorrei sistemare il Kolab ed il mysql ma io non saprei dove mettere le mani

Loading